"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const reserved = {
    homepage: 'Home_',
    redirecting: 'Redirecting_',
    notFound: 'NotFound'
};
const root = path_1.default.join(__dirname, '..', '..');
const cwd = process.cwd();
const config = {
    reserved,
    folders: {
        init: path_1.default.join(root, 'src', 'new'),
        src: path_1.default.join(cwd, 'src'),
        pages: {
            src: path_1.default.join(cwd, 'src', 'Pages'),
            defaults: path_1.default.join(cwd, '.elm-spa', 'defaults', 'Pages')
        },
        defaults: {
            src: path_1.default.join(root, 'src', 'defaults'),
            dest: path_1.default.join(cwd, '.elm-spa', 'defaults')
        },
        generated: path_1.default.join(cwd, '.elm-spa', 'generated'),
        templates: {
            defaults: path_1.default.join(root, 'src', 'templates', 'add'),
            user: path_1.default.join(cwd, '.elm-spa', 'templates')
        },
        package: path_1.default.join(cwd, '.elm-spa', 'package'),
        public: path_1.default.join(cwd, 'public'),
        dist: path_1.default.join(cwd, 'public', 'dist'),
    },
    binaries: {
        elm: `npx elm`,
        terser: `npx terser`
    },
    defaults: [
        ['Auth.elm'],
        ['Effect.elm'],
        ['Main.elm'],
        ['Shared.elm'],
        [`Pages`, `${reserved.notFound}.elm`],
        ['View.elm']
    ]
};
exports.default = config;
